PROGRAM   FileInfo ;
USES   DOS ;

VAR
   G_SearchRec : SearchRec ;
BEGIN
   FindFirst ( 'MyFile.BIN' , AnyFile , G_SearchRec );

   IF DosError = 0
   THEN BEGIN
      WriteLn (   G_SearchRec.Name   );
      WriteLn (   G_SearchRec.Size   );
      WriteLn (   G_SearchRec.Attr    );
      WriteLn (   G_SearchRec.Time   );
   END;
END.
